---

ServingSize: 6
cssclass: recipeTable
Tag: []
Date: 2021-09-21
DocType: "Recipe"
Hierarchy: "NonRoot"
location: [51.514678599999996, -0.18378583926867909]
CollapseMetaTable: Yes
Meta:
 IsFavourite: False
 Rating: 0
Recipe:
 Courses: Dessert
 Categories: Cake
 Collections: American
 Source: Internal
 PreparationTime: 10
 CookingTime: 60
Ingredients:
 - 8 . digestive biscuit crumbs
 - 50 grams butter, melted
 - 600 grams cream cheese
 - 2 tablespoons all-purpose flour
 - 175 grams caster sugar
 - 2 . eggs, plus 1 yolk
 - 1 . small pot soured cream
 - 1 . vanilla extract
 - 300 grams fresh or frozen blueberries
 - 1 . icing sugar

---

Parent:: [[@Recipes|Recipes]]

---

&emsp;

```button
name Edit Recipe parameters
type command
action MetaEdit: Run MetaEdit
id EditMetaData
```
^button-BlueberrycheesecakeEdit


```button
name Save
type command
action Save current file
id Save
```
^button-BlueberrycheesecakeNSave



&emsp;

# Blueberry cheesecake

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Practical Informations

| |
|-|-
**Courses**: | `$=dv.current().Recipe.Courses`
**Categories**: | `$=dv.current().Recipe.Categories`
**Collections**: | `$=dv.current().Recipe.Collections`
**Serving size**: | `$=dv.current().ServingSize`
**Cooking time**: | `$=dv.current().Recipe.CookingTime` min

&emsp;

---

&emsp;

### Ingredients

&emsp;

```dataviewjs
var ing = [];
for (var i = 0; i < dv.current().Ingredients.length; i++) {
var name = dv.current().Ingredients[i].replace(dv.current().Ingredients[i].split(" ")[0] + " " + dv.current().Ingredients[i].split(" ")[1], "");
var unit = dv.current().Ingredients[i].split(" ")[1];
var amount = dv.current().Ingredients[i].split(" ")[0];
ing[i] = "🥣 " + (amount / 6 * dv.current().ServingSize) + " " + unit + " <b>" + name + "</b>"
}
dv.list(ing)
```

&emsp;

---

&emsp;

### Instructions

&emsp;
                        
1. Melt the butter and pour onto the cracker crumbs and mix well. Press into the bottom of a 9-inch spring form pan. Bake at 325F until the crust is set, about 10-12 minutes. Allow to cool.

&emsp;

2. In a large bowl beat the cream cheese with the flour, caster sugar, eggs, soured cream and vanilla extract with an electric mixer until light and fluffy.

&emsp;

3. Pour the mixture into the pan and bake for 35-40 minutes until set. Remove from the oven and leave to cool.

&emsp;

4. Heat half the blueberries in a pan with 2 tablespoons icing sugar and stir gently until juicy. Squash the blueberries with a fork then continue to cook for a few minutes. Add the remaining blueberries, remove from the heat and allow to cool. 

&emsp;

5. Pour the blueberries over the cheesecake just before serving.
