---

ServingSize: 12
cssclass: recipeTable
Tag: ["Cookie", "Gouter"]
Date: 2021-09-21
DocType: "Recipe"
Hierarchy: "NonRoot"
location: [51.514678599999996, -0.18378583926867909]
CollapseMetaTable: Yes
Meta:
 IsFavourite: False
 Rating: 4
Recipe:
 Courses: Snack
 Categories: Cookie
 Collections: American
 Source: Internal
 PreparationTime: 
 CookingTime: 17
Ingredients:
 - 2.25 cups all-purpose flour
 - 1 teaspoon baking soda
 - 1 teaspoon salt
 - 1 cup butter
 - 1 cup caster sugar
 - 1 cup soft brown sugar
 - 1 teaspoon vanilla extract
 - 2 . eggs
 - 2 cups dark chocolate, broken into small pieces

---

Parent:: [[@Recipes|Recipes]]

---

&emsp;

```button
name Edit Recipe parameters
type command
action MetaEdit: Run MetaEdit
id EditMetaData
```
^button-ChocolateChipCookieEdit


```button
name Save
type command
action Save current file
id Save
```
^button-ChocolateChipCookieNSave



&emsp;

# Chocolate Chip Cookie

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Practical Informations

| |
|-|-
**Courses**: | `$=dv.current().Recipe.Courses`
**Categories**: | `$=dv.current().Recipe.Categories`
**Collections**: | `$=dv.current().Recipe.Collections`
**Serving size**: | `$=dv.current().ServingSize`
**Cooking time**: | `$=dv.current().Recipe.CookingTime` min

&emsp;

---

&emsp;

### Ingredients

&emsp;

```dataviewjs
var ing = [];
for (var i = 0; i < dv.current().Ingredients.length; i++) {
var name = dv.current().Ingredients[i].replace(dv.current().Ingredients[i].split(" ")[0] + " " + dv.current().Ingredients[i].split(" ")[1], "");
var unit = dv.current().Ingredients[i].split(" ")[1];
var amount = dv.current().Ingredients[i].split(" ")[0];
ing[i] = "🥣 " + (amount / 12 * dv.current().ServingSize) + " " + unit + " <b>" + name + "</b>"
}
dv.list(ing)
```

&emsp;

---

&emsp;

### Instructions

&emsp;
1. In a large bowl combine the flour, baking soda and salt.

&emsp;

2. In a separate bowl, mix the butter, caster sugar, brown sugar and vanilla extract until smooth. 

&emsp;

3. Add the eggs and the flour to the mixture and beat to combine. 

&emsp;

4. Add the chocolate pieces and stir.

&emsp;

5. Drop well rounded spoonfuls of dough onto a greased cookie sheet. 

&emsp;

6. Bake at 375F for 8-10 minutes.

&emsp;

7. Remove from the oven and place cookies on a wire rack to cool.

&emsp;
&emsp;